/* stp_client.h */

#define PASSWD	"stpisgreat"
#define VERSION	"1.5"
#define MAXLINE	256

#define WARN	0
#define FATAL	1

#define	STP_CONFIG   ".stp"

#define	HOSTNAMELEN	256

struct address
   {
	char	name[256];
	char	addr[64];
	int	port;
   };

#ifndef	DEFINE
#define	EXTERN
#else
#define	EXTERN	extern
#endif

EXTERN FILE *ws_fdr, *ws_fdw;
EXTERN int ws_sockfd;
EXTERN int iserv;
EXTERN char *default_connection;

#ifdef	DEFINE
struct address address[1] = {
   { 	"",	"000.000.000.000", 		0 }
   };
#else
extern struct address address[1];
#endif

int open_stpserver (char *name);
int stp_server_config (char *config);
